gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Groups of global keyboard accelerators for an entire GtkWindow

A GtkAccelGroup represents a group of keyboard accelerators, typically attached to a toplevel GtkWindow (with ). Usually you won't need to create a directly; instead, when using , Gtk# automatically sets up the accelerators for your menus in the item factory's .

Note that accelerators are different from mnemonics. Accelerators are shortcuts for activating a menu item; they appear alongside the menu item they are a shortcut for. For example "Ctrl+Q" might appear alongside the "Quit" menu item. Mnemonics are shortcuts for GUI elements such as text entries or buttons; they appear as underlined characters. . Menu items can have both accelerators and mnemonics, of course.

GLib.Object GLib.IWrapper System.IDisposable
- Method
  Gtk.AccelGroup `` Finds the to which closure is connected. A GClosure () The to which is connected, or .
- Method
  System.Void Undoes the last call to on its object.
- Method
  System.Boolean `` Removes an accelerator previously installed through . The closure to remove from this accelerator group. if the closure was found and got disconnected
- Method
  System.Void `` `` Installs an accelerator in this group, using an accelerator path to look up the appropriate key and modifiers (see 'gtk_accel_map_add_entry'). When the group is being activated in response to a call to , will be invoked if the accel_key and accel_mods from match the key and modifiers for the path. Path used for determining key and modifiers. Closure to be executed upon accelerator activation
- Method
  System.Boolean `` `` Removes an accelerator previously installed through . Key value of the accelerator. Modifier combination of the accelerator. if there was an accelerator which could be removed, otherwise.
- Method
  System.Void Locks the given accelerator group. Locking an accelerator group prevents the accelerators contained within it to be changed duringb runtime. Refer to 'gtk_accel_map_change_entry ()' about runtime accelerator changes. If called more than once, it remains locked until has been called an equivalent number of times.
- Method
  System.Void `` `` `` `` Installs an accelerator in this group. When accel_group is being activated in response to a call to , closure will be invoked if the accel_key and accel_mods from match those of this connection. The signature used for the closure is that of . Key value of the accelerator. Modifier combination of the accelerator. A flag mask to configure this accelerator. Closure to be executed upon accelerator activation. Note that, due to implementation details, a single closure can only be connected to one accelerator group.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of AccelGroup, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Default public constructor.
  A new .
- Event
  Gtk.AccelChangedHandler
- Method
  Gtk.AccelKey `` Finds the first entry in an accelerator group for which returns TRUE and returns its . a for filtering the AccelGroup entries a , the first key matching the find function. It is owned by Gtk# and must not be freed.
- Method
  Gtk.AccelGroupEntry `` `` `` Queries an accelerator group for all entries matching and . Key value of the accelerator. Modifier combination of the accelerator. Location to return the number of entries found, or . An array of elements, or .
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void `` `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Method
  System.Boolean `` `` `` `` To be added a a a a a To be added